polybori::CWrappedStack< StackType > Class Template Reference

`#include <COrderedIter.h>`

Inheritance diagram for polybori::CWrappedStack< StackType >:

## Public Types

typedef StackType | base
typedef CWrappedStack< StackType > | self
typedef base::navigator | navigator
typedef base::iterator_core | iterator_core
typedef boost::shared_ptr< iterator_core > | core_pointer

## Public Member Functions

template<class MgrType >
| CWrappedStack (navigator navi, const MgrType &mgr)
| CWrappedStack (const self &rhs)
core_pointer | copy () const

## Member Typedef Documentation

template<class StackType >

typedef StackType polybori::CWrappedStack< StackType >::base

template<class StackType >

typedef boost::shared_ptr<iterator_core> polybori::CWrappedStack< StackType >::core_pointer

template<class StackType >

typedef base::iterator_core polybori::CWrappedStack< StackType >::iterator_core

template<class StackType >

typedef base::navigator polybori::CWrappedStack< StackType >::navigator

template<class StackType >

typedef CWrappedStack<StackType> polybori::CWrappedStack< StackType >::self

## Constructor & Destructor Documentation

template<class StackType >
template<class MgrType >

polybori::CWrappedStack< StackType >::CWrappedStack | ( | navigator | navi,
|  | const MgrType & | mgr
| ) |  |

inline

template<class StackType >

polybori::CWrappedStack< StackType >::CWrappedStack | ( | const self & | rhs | ) |

inline

## Member Function Documentation

template<class StackType >

core_pointer polybori::CWrappedStack< StackType >::copy | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- COrderedIter.h